Package com.oracle.truffle.api.utilities

## Class BinaryConditionProfile

- java.lang.Object
- - com.oracle.truffle.api.nodes.NodeCloneable
  - - com.oracle.truffle.api.utilities.ConditionProfile
    - - com.oracle.truffle.api.utilities.BinaryConditionProfile

All Implemented Interfaces:
  `java.lang.Cloneable`

    public final class BinaryConditionProfile
    extends ConditionProfile

Utility class to speculate on conditions to be never true or to be never false. Condition profiles are intended to be used as part of if conditions.

See Also:
  `ConditionProfile.createBinaryProfile()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `profile​(boolean value)`
`java.lang.String` `toString()`
`boolean` `wasFalse()`
`boolean` `wasTrue()`

### Methods inherited from class com.oracle.truffle.api.utilities.ConditionProfile

`createBinaryProfile, createCountingProfile`

### Methods inherited from class com.oracle.truffle.api.nodes.NodeCloneable

`clone`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### profile

    public boolean profile​(boolean value)

Specified by:
  `profile` in class `ConditionProfile`

#### wasTrue

    public boolean wasTrue()

#### wasFalse

    public boolean wasFalse()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`